Atualiza coupons
PUT/api/coupons/{id}
- Auth
- Token erforderlich
- X-CommunityId
X-CommunityIdSende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.
Parameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | path | string |
Header
| Name | Typ | Beschreibung |
|---|---|---|
X-CommunityIdoptional | string (uuid) | ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade. |
Request-Body application/json
| Name | Typ | Beschreibung |
|---|---|---|
codeoptional | string | |
nameoptional | string | |
descriptionoptional | string | |
discountValueoptional | number | |
maxDiscountoptional | number | |
trialExtensionDaysoptional | integer | |
durationoptional | ONCE | FOREVER | REPEATING | |
durationInMonthsoptional | integer | |
maxUsesoptional | integer | |
maxUsesPerUseroptional | integer | |
startDateoptional | string (date-time) | |
endDateoptional | string (date-time) | |
minPurchaseAmountoptional | number | |
applicableProductsoptional | —[] | |
excludedProductsoptional | —[] | |
applicableToOneTimeoptional | boolean | |
applicableToSubscriptionoptional | boolean | |
applicableToInstallmentoptional | boolean | |
isStackableoptional | boolean | |
statusoptional | ACTIVE | INACTIVE |
Antworten
| Status | Beschreibung |
|---|---|
200 | Operação realizada com sucesso. |
400 | Requisição inválida — falha de validação. |
401 | Token ausente, inválido ou expirado. |
403 | Autenticado, mas sem permissão para esta operação. |
404 | Recurso não encontrado. |
500 | Erro interno do servidor. |
curl-Beispiel
curl -X PUT "https://api.memberfy.net/api/coupons/<id>" \
-H "Authorization: Bearer $TOKEN" \
-H "X-CommunityId: $COMMUNITY_ID" \
-H "Content-Type: application/json" \
-d '{}'